<template>
  <div class="resume-detail">
    <div :class="getRowClass('avatar')">
      <div class="label">头像</div>
      <div class="value">
        <div>整图查看</div>
        <viewer :images="[info.avatar]">

          <img style="object-fit: contain" class="image" :src="info.avatar" alt="">
        </viewer>
        <div style="margin-top: 12px">端上预览图</div>
        <viewer :images="[info.avatar]">

          <img style="object-fit: cover" class="image" :src="info.avatar" alt="">
        </viewer>
      </div>
    </div>
    <div :class="getRowClass('wechat')">
      <div class="label">微信号</div>
      <div class="value">
        {{ info.wechat }}
      </div>
    </div>
    <div :class="getRowClass('mobileTel')">
      <div class="label">联系手机号</div>
      <div class="value">
        {{ info.mobileTel }}
      </div>
    </div>
    <div :class="getRowClass('nationValue')">
      <div class="label">民族</div>
      <div class="value">
        {{ info.nationValue }}
      </div>
    </div>
    <div :class="getRowClass('schoolDegreeValue')">
      <div class="label">学历</div>
      <div class="value">
        {{ info.schoolDegreeValue }}
      </div>
    </div>
    <div :class="getRowClass('origin')">
      <div class="label">籍贯</div>
      <div class="value">
        {{ info.origin }}
      </div>
    </div>
    <div :class="getRowClass('workYear')">
      <div class="label">从业经验</div>
      <div class="value">
        {{ info.workYear }}年
      </div>
    </div>
    <div :class="getRowClass('hasChildren')">
      <div class="label">子女数</div>
      <div class="value">
        {{ info.hasChildren }}
      </div>
    </div>
    <div :class="getRowClass('expectedSalary')">
      <div class="label">期望薪资</div>
      <div class="value">
        {{ info.expectedSalary }}
      </div>
    </div>
    <div :class="getRowClass('tijianUrls')">
      <div class="label">体检报告</div>
      <div class="value">
        <viewer :images="info.tijianUrls">

          <img v-for="item in info.tijianUrls" :key="item" class="image" :src="item" alt="">
        </viewer>
      </div>
    </div>
    <div :class="getRowClass('workUrls')">
      <div class="label">工作照片</div>
      <div class="value">
        <viewer :images="info.workUrls">

          <img v-for="item in info.workUrls" :key="item" class="image" :src="item" alt="">
        </viewer>
      </div>
    </div>
    <div :class="getRowClass('yueZiCanUrls')">
      <div class="label">月子餐</div>
      <div class="value">
        <viewer :images="info.yueZiCanUrls">
          <img v-for="item in info.yueZiCanUrls" :key="item" class="image" :src="item" alt="">
        </viewer>
      </div>
    </div>
    <div :class="getRowClass('evaluateUrls')">
      <div class="label">评价照片</div>
      <div class="value">
        <viewer :images="info.evaluateUrls">
          <img v-for="item in info.evaluateUrls" :key="item" class="image" :src="item" alt="">
        </viewer>
      </div>
    </div>
    <div :class="getRowClass('selfRemarksArray')">
      <div class="label">个人标签</div>
      <div class="value">
        <el-tag v-for="item in info.selfRemarksArray" :key="item" style="margin-right: 8px;">{{
            item
          }}
        </el-tag>
      </div>
    </div>
    <div :class="getRowClass('selfIntro')">
      <div class="label">个人评价</div>
      <div class="value">{{ info.selfIntro }}</div>
    </div>
  </div>
</template>
<script setup lang="ts">
const props = defineProps({
  info: {
    type: Object,
    default: () => ({})
  },
  diffKeys: {
    type: Array,
    default: () => []
  }
})

const getRowClass = (field: string) => {
  const imageRowKeys = ['tijianUrls', 'workUrls', 'yueZiCanUrls', 'evaluateUrls', 'selfIntro']
  return {
    row: true,
    active: props.diffKeys?.includes(field),
    'large-wrap': imageRowKeys.includes(field),
  }
}
</script>


<style scoped lang="less">
.resume-detail {
  border: 1px solid var(--el-border-color);

  .row {
    display: flex;
    padding: 10px 0;
    border-bottom: 1px dashed #cfcfcf;

    &.active {
      background: rgba(213, 252, 213, 0.3);
    }

    &.large-wrap {
      height: 155px;
      box-sizing: border-box;
    }

    .label {
      color: #222;
      font-weight: 600;
      width: 100px;
      text-align: right;
      margin-right: 12px;
    }

    .value {
      flex: 1;
      height: 100%;
      overflow: auto;

      .image {
        width: 120px;
        height: 120px;
        background: #fff;
        object-fit: contain;
        border: 1px dashed #ccc;

        &:not(:last-child) {
          margin-right: 12px;
        }
      }
    }
  }
}
</style>
